package utils

import "time"

func TheSameDay(tsl, tsr int64) bool {
	return GetTsDate(tsl) == GetTsDate(tsr)
}

func GetTsDate(ts int64) int64 {
	timets := time.Unix(ts, 0)
	return ts - int64(timets.Hour()*3600+timets.Minute()*60+timets.Second())
}

// @tsl : 开始时间，时间轴左边
// @tsr: 截至时间，时间轴右边
// @return: 天数，如果，tsr 早于 tsl， 则小于0
func DiffDays(tsl, tsr int64) int64 {
	d1, d2 := GetTsDate(tsl), GetTsDate(tsr)
	return (d2 - d1) / 86400
}
